package mmsdemo;

import java.io.*;
import com.sun.org.apache.xerces.internal.impl.dv.util.Base64;

/**
 * 
 * @author xiao
 *
 */
public class MmsUTF8 {

	//序列号密码
	public static String sn = "SDK-OFT-010-00189";//SDK-BBX-010-XXXXX
	public static String password = "XXXXXX";
	
	static final String charSet="gb2312";
	//标题
	public static String title = "彩信测试UTF813:16";
	//手机号
	public static String mobile = "13522600434";
	

	public static void main(String[] args) throws UnsupportedEncodingException {
		Mms Client = new Mms(sn,password);
		try{
			
			//源
			String txtStr1 = "文本内容，测试拉，嘎嘎。";
			String pic2_path = "D:\\11.gif";
			File pic2_file = new File(pic2_path);
			
			//读取文件
			InputStream pic2_fileInputStream = new FileInputStream(pic2_file);
			//文本内容转码
			byte[] txtStr1_byte = StringToByte(txtStr1,charSet);
			//标题转码
			//byte[] title_byte = StringToByte(title,charSet);

			byte[] pic2_byte = new byte[pic2_fileInputStream.available()];

			//读入字节数组
			pic2_fileInputStream.read(pic2_byte);

			//转换成base64字符串
			String txtStr1_base64String = Base64.encode(txtStr1_byte);
			String pic2_base64String = Base64.encode(pic2_byte);

			//String title_base64String = Base64.encode(title_byte);
			//合并各个帧的信息,此处请认真读下说明文档，对应好文件类型和帧数
			////在此处1_2.jpg表示第一帧里的图片类型，1_1.txt表示第一帧里的文本类型
			String content = "1_2.gif," + pic2_base64String + ";" + "1_1.txt," + txtStr1_base64String ;

			//开始发送
			//第一步提交彩信基本信息，如为多帧请对应修改此信息
			String schTime="";
			String resultFirst = Client.mdMmsSend(title, mobile, content, schTime);
			System.out.println(resultFirst);

		}catch (Exception e) {
			// TODO: handle exception
		}	
	}
	
	/**
     * UTF-8 一个汉字占三个字节
     * @param str 源字符串
     *            转换成字节数组的字符串
     * @return
     */
    private static byte[] StringToByte(String str,String charEncode) {
        byte[] destObj = null;
        try {
            if(null == str || str.trim().equals("")){    
                destObj = new byte[0];    
                return destObj;    
            }else{    
                destObj = str.getBytes(charEncode);
            }
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        return destObj;
    }

}

